Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Dec 2020 21:20:52 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Trevor Bentley <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sat, 12 Dec 2020 14:14:39 -0500
> 
> >> Not only that, but I added printfs in emacs itself around the 
> >> garbage_collect() and gc_sweep() functions.  Each line prints the 
> >> unix timestamp when it began, and the 'end' lines print the 
> >> duration since the start.  You can see that the entire 50 minutes 
> >> was spent in gc_sweep():
> >
> > I think this is expected if you have a lot of objects to sweep.
> 
> Actually, I'm surprised most of the time is spent in gc_sweep:
> mark_object is usually where most of the time is spent, so this suggests
> that the total heap size is *much* larger than the amount of live objects.

Sure.  But isn't that the same as what I said, just from another POV?
"A lot of objects to sweep" means there are many objects that aren't
live and need to have their memory freed.

Since GC wasn't run for many hours, having a lot of garbage to collect
is expected, right?